
#top-section{
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-content: center;
    width: 85%;
    padding: 30px;
    background-color: rgb(222, 217, 251);
    border-radius: 20px;
    border: 2px rgba(119, 43, 226, 0.575);
    box-shadow: 5px 4px 5px rgba(44, 38, 60, 0.197);
} 

form {
    display: flex;
    justify-content: center;
    align-content: center; 
    width: 100%;
    max-width: 100%;
    flex-wrap: wrap;
    border: 2px outset rgba(24, 59, 255, 0.416);
    border-radius: 15px;
    background-color: rgb(198, 239, 253);
    padding: 15px;
    margin: 10px;

}

fieldset{
    display: flex;
    flex-flow: column wrap;
    justify-self: center;
    justify-content: center;
    align-content: center;
    min-width: 0;
    padding: 10px 35px 30px 35px;
    margin: 20px;
    border-radius: 15px;
    border: 2px ridge rgba(92, 67, 192, 0.541);
}

legend {
    text-align: center;
    padding: 10px;
    font-weight: bold;
    font-family: monospace;
    font-size: 22px;
    color:  rgb(50, 87, 174);
}

section#form-row {
    display: flex;
    flex: 1 1 0;
    flex-wrap: wrap;
    justify-content: center;
    align-content: flex-start;
    width: auto;
    margin: 15px;
    padding: 15px;
    border-radius: 10px;
}


section.form-row{
    display: flex;
    justify-content: center;
    align-content: center;
    flex: 1 1 100px;
    min-width: 0;
    width: auto;
    max-width: 90%;
    max-height: 35px;
    margin: 10px;
    padding: 10px;
    border-radius: 25px;
    border: 1px solid rgba(136, 136, 251, 0.353);
    background-color: rgb(231, 255, 242);
    color: rgb(0, 104, 174);
    box-shadow: 2px 1px 4px rgba(0, 128, 128, 0.167);

}

.form-row input, .form-row select {
    display: flex;
    flex: 1 1 auto;
    overflow-wrap: break-word;
    min-width: 40%;
    border-radius: 15px;
    color: rgb(7, 7, 168);
    border: 2px solid rgba(191, 0, 249, 0.299);
}

select, option {
    width: 60%;
    max-width: 70%;
}
input {
    max-width: 60%;
}
input:focus, select:focus {
    border: 2px inset rgba(0, 0, 255, 0.844);
}

:required {
    background-color: rgba(251, 255, 18, 0.912);
}

:required:hover {
    border: 2px solid rgba(255, 32, 110);
}

label{
    display: flex;
    flex: 1 1 0;
    overflow-wrap: break-word;
    align-content: center;
    text-align: center;
    align-self: center;
    min-height: auto;
    width: auto;
    padding: 5px;
}

section.form-btn{
    display: flex;
    flex-flow: row wrap;
    justify-content: space-evenly;
    align-content: center;
    max-width: 100%;
    margin: 5px 15px 15px 15px;
    padding: 15px;
    border-radius: 15px;
}

/*Buttons*/
.form-btn button {
    background-color: rgb(251, 214, 228);
    color: rgb(120, 0, 180);
    border: outset 2px rgba(249, 0, 174, 0.427);
    box-shadow: 2px 2px 5px rgba(0, 54, 249, 0.256);
    border-radius: 25px;
    padding: 10px;
    margin: 5px;
    min-width: 140px; 
    width: 10vw;
    max-width: 250px;
    text-overflow: ellipsis;
    height: 40px;
    font-size: 16px;
    font-family: 'Consolas'; 

}
